Package org.jfree.report.util

# Class NoCloseOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.jfree.report.util.NoCloseOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class NoCloseOutputStream extends FilterOutputStream
A Wrapper stream that does never calls close on its parent. This implementation is needed when creating ZipOutputStream, as the final ZipDirectory is written when close is called on the ZipOutputSteam.

Author:
  Thomas Morgner

## Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

## Constructor Summary

Constructors
Constructor
Description
`NoCloseOutputStream(OutputStream out)`
Create a new NoCloseOutputStream with the given output stream a parent.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes this output stream and releases any system resources associated with the stream, but does not close the underlying output stream.

### Methods inherited from class java.io.FilterOutputStream

`flush, write, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoCloseOutputStream

public NoCloseOutputStream(OutputStream out)
Create a new NoCloseOutputStream with the given output stream a parent.

Parameters:
  `out` - the parent stream

## Method Details

### close

public void close() throws IOException
Closes this output stream and releases any system resources associated with the stream, but does not close the underlying output stream.

The `close` method of `FilterOutputStream` calls its `flush` method.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `FilterOutputStream`
Throws:
  `IOException` - if an I/O error occurs.
See Also:
  - `FilterOutputStream.flush()`
  - `FilterOutputStream.out`